# Add Order

### API endpoint

```
/api/createOrder
```

### Request Samples

<pre class="language-css"><code class="lang-css"><strong> POST <a data-footnote-ref href="#user-content-fn-1">https://</a>verified-api.azurewebsites.net/api/createOrder
</strong></code></pre>

#### Body Params

```javascript
{
    "securityAddress": "string",
    "currencyAddress": "string",
    "quantity": "string",
    "swapType": "string",
    "poolId": "string",
    "secret_key": "string"
}
```

### Sample Body params

```
{
    "securityAddress": "0x7395e5201ed7a841d1a1b04e8c19ab80dd72ab81",
    "currencyAddress": "0x07865c6e87b9f70255377e024ace6630c1eaa37f",
    "quantity": "1",
    "swapType": "Sell",
    "poolId": "0xfe94f5cea565935aa092d66b8540b03a4de05872000000000000000000000860",
    "secret_key": "153eb0b3726764d204aedc9062974ee82edcca2bc536f3742149511d0e455306"
}
```

### Encryption of Secret key

```
Algorithm : AES-256-CBC
Secretkey (32 bytes data) = "verified@API"
initVector (16 bytes data) = wallletAddress 
```

###

#### Response Samples

Content type

> &#x20;application/json

```json
{
    "status": ok
}
```

###

[^1]:
